<?php

    error_reporting(0); // this it to suppress warnings

    unset($CFG);

    global $CFG;

    $CFG = new stdClass();

    $CFG->browser_debug_log = false; // debug logs are written to browser console
    $CFG->server_debug_log = true; // debug logs are to error log on the server

    $CFG->search_service_url = 'http://localhost/asc/server/search_service.php';
    $CFG->keyword_service_url = 'http://localhost/asc/server/keyword_service.php';
    $CFG->geoip_service_url = 'http://localhost/asc/server/geoip_service.php';

    //Production Settings
    //$CFG->search_service_url = 'http://asb-server.rokkada.com/v1/search_service.php';
    //$CFG->keyword_service_url = 'http://asb-server.rokkada.com/v1/keyword_service.php';
    //$CFG->geoip_service_url = 'http://asb-server.rokkada.com/v1/geoip_service.php';

    // asc-ga service
    $CFG->asc_ga_pageview_service_url = 'http://asc-ga.rokkada.com/service/ascga_pageviews_service.php';
    //$CFG->asc_ga_related_search_service_url = 'http://asc-ga.rokkada.com/service/ascga_hybrid_related_search_service.php?site=tw&';
    $CFG->asc_ga_related_search_service_url = 'http://asc-ga.webilify.com/service/ascga_slr_mlt_proxy_service.php?site=tw&';
    
    $CFG->asc_ga_target_countries = array ('WO', 'US', 'GB', 'CA', 'AU', 'IN', 'PH', 'ZA');
    $CFG->show_related_ws = true;
    $CFG->show_search_suggestion = true;
    $CFG->asc_ga_slr_suggest_service_url = "http://asc-ga.webilify.com/service/ascga_slr_sugg_proxy_service.php?site=tw&";
    
    // v3 download button
    $CFG->show_download_button = true;
    $CFG->download_service_url = '//google.gviewer.net/docs/download?s=tw&';
    
    //$CFG->cdn_domain = "";
    $CFG->cdn_domain = "//teacherworksheets.co.uk";
    
    $CFG->header_keys = array(
        //'OPENSSL_CONF',
        //'PATH',
        'HTTP_HOST',
        'HTTP_CONNECTION',
        'HTTP_CACHE_CONTROL',
        'HTTP_UPGRADE_INSECURE_REQUESTS',
        'HTTP_USER_AGENT',
        'HTTP_ACCEPT',
        'HTTP_ACCEPT_ENCODING',
        'HTTP_ACCEPT_LANGUAGE',
        'HTTP_COOKIE',
        //'SystemRoot',
        //'COMSPEC',
        //'PATHEXT',
        //'WINDIR',
        //'SERVER_SIGNATURE',
        //'SERVER_SOFTWARE',
        //'SERVER_NAME',
        //'SERVER_ADDR',
        //'SERVER_PORT',
        'REMOTE_ADDR',
        //'DOCUMENT_ROOT',
        //'REQUEST_SCHEME',
        //'CONTEXT_PREFIX',
        //'CONTEXT_DOCUMENT_ROOT',
        //'SERVER_ADMIN',
        //'SCRIPT_FILENAME',
        'REMOTE_PORT',
        //'GATEWAY_INTERFACE',
        //'SERVER_PROTOCOL',
        'REQUEST_METHOD',
        'QUERY_STRING',
        'REQUEST_URI',
        //'SCRIPT_NAME',
        //'PHP_SELF',
        'REQUEST_TIME_FLOAT',
        'REQUEST_TIME',
    );


    if (!function_exists('debug_to_console')) {
        function debug_to_console($data) {
            global $CFG;

            $output = '';
            if (is_array($data)) {

                if ($CFG->browser_debug_log)
                    $output = "<script>console.log( 'Debug: " . http_build_query($data, '', ', ') . "' );</script>";

                if ($CFG->server_debug_log)
                    error_log(print_r($data, TRUE), 0);

            } else {
                if ($CFG->browser_debug_log)
                    $output = "<script>console.log( 'Debug: " . $data . "' );</script>";

                if ($CFG->server_debug_log)
                    error_log($data, 0);
            }
            echo $output;
        }
    }



    $CFG->site_name = "Teacher Worksheets";
    $CFG->site_url = '//teacherworksheets.co.uk';// dev
    //$CFG->site_url = 'https://teacherworksheets.co.uk'; // prod
    $CFG->site_type = 'ws';
    $CFG->site_meta_title = 'Home';
    $CFG->site_meta_title_suffix = 'Teacher Worksheets';
    $CFG->site_meta_desc = 'Free Worksheets in Math, Science, Grammar, Phonics, Reading, Writing, Kindergarten. National curriculum for primary with key stage 1 and key stage 2 information.';
    $CFG->site_meta_keywords = 'National curriculum, Key stage 1, Key stage 2, Worksheets, School, Teacher, Printable, Math, Science, Kindergarten, Composition, Grammar, Reading, Writing, Phonics, Quiz, 1st Grade, 2nd Grade, 3rd Grade, 4th Grade, 5th Grade, Social Studies';

    $CFG->site_content_json = 'data/tw-content.json';
    $CFG->old_search_param = 'w'; // for existing site search url param

    $CFG->search_box_placeholder = 'Enter worksheet name...'; // used in search form input
    $CFG->no_results_message = 'Oops...no worksheet found.  Check & try again with correct worksheet name.'; // used in sresults.php
    
    $CFG->search_input_maxlength = 60;
    $CFG->wscp_name_max_length = 60; // this is to control long invalid, junk names fed into the system

    $CFG->site_search_uri = $CFG->site_url.'/sheets/';
    $CFG->invalid_search_url = $CFG->site_url . '/category/invalid-worksheets'; // this to match key in data json
    $CFG->unauth_search_url = $CFG->site_url . '/category/invalid-worksheets'; // this to match key in data json

    // this is for managing local search history
    $CFG->hconfig = array(
        "id" => "tw",
        "path" => "C:/bing-cache/client/tw.sync", // dev
        //"path" => "/home/indiael1/public_html/sites/v1/hcache/tw.sync", //production
        "size" => "15"
    );


    // whether to show social locker or not
    $CFG->show_locker = false;
    
    $CFG->eu_countries = array('BE', 'BG', 'CZ', 'DK', 'DE', 'EE', 'IE', 'EL', 'ES', 'FR', 'HR', 'IT', 'CY', 'LV', 'LT', 'LU', 'HU', 'MT', 'NL', 'AT', 'PL', 'PT', 'RO', 'SI', 'SK', 'FI', 'SE', 'UK');


    //sb ad display target countries
    // India, Philiphines, Pakistan, Emirates, Bangladesh, Srilanka, South Africa, Saudi Arabia
    $CFG->sb_ad_target_countries = array ('IN', 'PH', 'PK', 'AE', 'BD', 'LK', 'ZA', 'SA');

    // ads script
    $CFG->g_ad_top_banner = '<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
                                <!-- TW_RES_TOP -->
                                <ins class="adsbygoogle"
                                     style="display:block"
                                     data-ad-client="ca-pub-6997161217503277"
                                     data-ad-slot="5208623227"
                                     data-ad-format="auto"></ins>
                                <script>
                                (adsbygoogle = window.adsbygoogle || []).push({});
                                </script>';

    $CFG->g_ad_search_right = '<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
                                    <!-- TW_RES_TOP -->
                                    <ins class="adsbygoogle"
                                         style="display:block"
                                         data-ad-client="ca-pub-6997161217503277"
                                         data-ad-slot="5208623227"
                                         data-ad-format="auto"></ins>
                                    <script>
                                        (adsbygoogle = window.adsbygoogle || []).push({});
                                    </script>';

    $CFG->g_ad_body_main = '<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
                                <!-- TW_RES_MAIN -->
                                <ins class="adsbygoogle"
                                     style="display:block"
                                     data-ad-client="ca-pub-6997161217503277"
                                     data-ad-slot="3033886028"
                                     data-ad-format="auto"></ins>
                                <script>
                                (adsbygoogle = window.adsbygoogle || []).push({});
                                </script>';

    $CFG->g_ad_body_right = '<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
                                <!-- TW_RES_RIGHT -->
                                <ins class="adsbygoogle"
                                     style="display:block"
                                     data-ad-client="ca-pub-6997161217503277"
                                     data-ad-slot="6685356428"
                                     data-ad-format="auto"></ins>
                                <script>
                                (adsbygoogle = window.adsbygoogle || []).push({});
                                </script>';

    $CFG->g_ad_body_right2 = '<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
                                <!-- TW_RES_RIGHT2 -->
                                <ins class="adsbygoogle"
                                     style="display:block"
                                     data-ad-client="ca-pub-6997161217503277"
                                     data-ad-slot="4855938421"
                                     data-ad-format="auto"></ins>
                                <script>
                                (adsbygoogle = window.adsbygoogle || []).push({});
                                </script>';



    $CFG->g_page_ad_script = '<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
                                <script>
                                (adsbygoogle = window.adsbygoogle || []).push({
                                    google_ad_client: "ca-pub-6997161217503277",
                                    enable_page_level_ads: true
                                  });
                                </script>'; // this is inserted in the header to enable page level ads for mobile

    // end of ad script

    // g analytics script
    $CFG->g_analytics_script = '<!-- Global site tag (gtag.js) - Google Analytics -->
                                <script async src="https://www.googletagmanager.com/gtag/js?id=UA-32840543-1"></script>
                                <script>
                                    window.dataLayer = window.dataLayer || [];
                                    function gtag(){dataLayer.push(arguments);}
                                    gtag(\'js\', new Date());

                                    gtag(\'config\', \'UA-32840543-1\');
                                </script>';
    // end of g analytics script

?>